Index: libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/2.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/2.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/2.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/3.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/3.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/3.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/4.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/4.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/streambuf_iterators/char/4.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/2.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/2.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/2.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/3.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/3.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/3.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/4.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/4.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/4.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/copy/34595.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/copy/34595.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/copy/34595.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/fill/4.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/fill/4.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/fill/4.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/is_sorted_until/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/is_sorted_until/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/is_sorted_until/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/is_heap/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/is_heap/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/is_heap/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/partition/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/partition/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/partition/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/partition/moveable.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/partition/moveable.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/partition/moveable.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -10,7 +10,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/wchar_t/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/wchar_t/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/wchar_t/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/wchar_t/2.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/wchar_t/2.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/wchar_t/2.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/char/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/char/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/char/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/char/2.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/char/2.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/find/istreambuf_iterators/char/2.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/is_heap_until/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/is_heap_until/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/is_heap_until/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/pop_heap/empty_neg.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/pop_heap/empty_neg.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/pop_heap/empty_neg.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/pop_heap/empty2_neg.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/pop_heap/empty2_neg.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/pop_heap/empty2_neg.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -7,7 +7,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/is_sorted/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/is_sorted/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/is_sorted/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/heap/moveable2.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/heap/moveable2.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/heap/moveable2.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -9,7 +9,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/heap/1.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/heap/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/heap/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -8,7 +8,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/25_algorithms/heap/moveable.cc
===================================================================
--- libstdc++-v3/testsuite/25_algorithms/heap/moveable.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/25_algorithms/heap/moveable.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -10,7 +10,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/24_iterators/range_access.cc
===================================================================
--- libstdc++-v3/testsuite/24_iterators/range_access.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/24_iterators/range_access.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -10,7 +10,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/28_regex/range_access.cc
===================================================================
--- libstdc++-v3/testsuite/28_regex/range_access.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/28_regex/range_access.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -10,7 +10,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/18_support/initializer_list/range_access.cc
===================================================================
--- libstdc++-v3/testsuite/18_support/initializer_list/range_access.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/18_support/initializer_list/range_access.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -10,7 +10,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/21_strings/basic_string/capacity/wchar_t/shrink_to_fit.cc
===================================================================
--- libstdc++-v3/testsuite/21_strings/basic_string/capacity/wchar_t/shrink_to_fit.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/21_strings/basic_string/capacity/wchar_t/shrink_to_fit.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/21_strings/basic_string/capacity/char/shrink_to_fit.cc
===================================================================
--- libstdc++-v3/testsuite/21_strings/basic_string/capacity/char/shrink_to_fit.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/21_strings/basic_string/capacity/char/shrink_to_fit.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -11,7 +11,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/21_strings/basic_string/range_access/wchar_t/1.cc
===================================================================
--- libstdc++-v3/testsuite/21_strings/basic_string/range_access/wchar_t/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/21_strings/basic_string/range_access/wchar_t/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -10,7 +10,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/21_strings/basic_string/range_access/char/1.cc
===================================================================
--- libstdc++-v3/testsuite/21_strings/basic_string/range_access/char/1.cc	(.../tags/gcc_4_7_2_release)	(wersja 194650)
+++ libstdc++-v3/testsuite/21_strings/basic_string/range_access/char/1.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -10,7 +10,7 @@
 // any later version.
 
 // This library is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without Pred the implied warranty of
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.
 
Index: libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/cons/55215.cc
===================================================================
--- libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/cons/55215.cc	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ libstdc++-v3/testsuite/26_numerics/random/independent_bits_engine/cons/55215.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,60 @@
+// { dg-options "-std=gnu++11" }
+// { dg-require-cstdint "" }
+//
+// Copyright (C) 2012 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+#include <random>
+#include <testsuite_hooks.h>
+
+int f(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::independent_bits_engine<std::mt19937, 9,
+					  std::uint_fast32_t>(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+int g(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::independent_bits_engine<std::mt19937, 9,
+					  std::uint_fast32_t>();
+  rnd.seed(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+void test01()
+{
+  bool test __attribute__((unused)) = true;
+
+  const int f1 = f(0);
+  const int f2 = f(0);
+
+  const int g1 = g(0);
+  const int g2 = g(0);
+  
+  VERIFY( f1 == f2 );
+  VERIFY( g1 == g2 );
+  VERIFY( f1 == g1 );
+}
+
+int main()
+{
+  test01();
+  return 0;
+}
Index: libstdc++-v3/testsuite/26_numerics/random/subtract_with_carry_engine/cons/55215.cc
===================================================================
--- libstdc++-v3/testsuite/26_numerics/random/subtract_with_carry_engine/cons/55215.cc	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ libstdc++-v3/testsuite/26_numerics/random/subtract_with_carry_engine/cons/55215.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,58 @@
+// { dg-options "-std=gnu++11" }
+// { dg-require-cstdint "" }
+//
+// Copyright (C) 2012 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+#include <random>
+#include <testsuite_hooks.h>
+
+int f(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::ranlux24_base(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+int g(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::ranlux24_base();
+  rnd.seed(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+void test01()
+{
+  bool test __attribute__((unused)) = true;
+
+  const int f1 = f(0);
+  const int f2 = f(0);
+
+  const int g1 = g(0);
+  const int g2 = g(0);
+  
+  VERIFY( f1 == f2 );
+  VERIFY( g1 == g2 );
+  VERIFY( f1 == g1 );
+}
+
+int main()
+{
+  test01();
+  return 0;
+}
Index: libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/cons/55215.cc
===================================================================
--- libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/cons/55215.cc	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ libstdc++-v3/testsuite/26_numerics/random/discard_block_engine/cons/55215.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,58 @@
+// { dg-options "-std=gnu++11" }
+// { dg-require-cstdint "" }
+//
+// Copyright (C) 2012 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+#include <random>
+#include <testsuite_hooks.h>
+
+int f(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::ranlux24(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+int g(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::ranlux24();
+  rnd.seed(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+void test01()
+{
+  bool test __attribute__((unused)) = true;
+
+  const int f1 = f(0);
+  const int f2 = f(0);
+
+  const int g1 = g(0);
+  const int g2 = g(0);
+  
+  VERIFY( f1 == f2 );
+  VERIFY( g1 == g2 );
+  VERIFY( f1 == g1 );
+}
+
+int main()
+{
+  test01();
+  return 0;
+}
Index: libstdc++-v3/testsuite/26_numerics/random/mersenne_twister_engine/cons/55215.cc
===================================================================
--- libstdc++-v3/testsuite/26_numerics/random/mersenne_twister_engine/cons/55215.cc	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ libstdc++-v3/testsuite/26_numerics/random/mersenne_twister_engine/cons/55215.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,58 @@
+// { dg-options "-std=gnu++11" }
+// { dg-require-cstdint "" }
+//
+// Copyright (C) 2012 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+#include <random>
+#include <testsuite_hooks.h>
+
+int f(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::mt19937(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+int g(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::mt19937();
+  rnd.seed(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+void test01()
+{
+  bool test __attribute__((unused)) = true;
+
+  const int f1 = f(0);
+  const int f2 = f(0);
+
+  const int g1 = g(0);
+  const int g2 = g(0);
+  
+  VERIFY( f1 == f2 );
+  VERIFY( g1 == g2 );
+  VERIFY( f1 == g1 );
+}
+
+int main()
+{
+  test01();
+  return 0;
+}
Index: libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/cons/55215.cc
===================================================================
--- libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/cons/55215.cc	(.../tags/gcc_4_7_2_release)	(wersja 0)
+++ libstdc++-v3/testsuite/26_numerics/random/linear_congruential_engine/cons/55215.cc	(.../branches/gcc-4_7-branch)	(wersja 194650)
@@ -0,0 +1,58 @@
+// { dg-options "-std=gnu++11" }
+// { dg-require-cstdint "" }
+//
+// Copyright (C) 2012 Free Software Foundation, Inc.
+//
+// This file is part of the GNU ISO C++ Library.  This library is free
+// software; you can redistribute it and/or modify it under the
+// terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 3, or (at your option)
+// any later version.
+//
+// This library is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License along
+// with this library; see the file COPYING3.  If not see
+// <http://www.gnu.org/licenses/>.
+
+#include <random>
+#include <testsuite_hooks.h>
+
+int f(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::minstd_rand(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+int g(int x)
+{
+  std::seed_seq sq(&x, &x + 1);
+  auto rnd = std::minstd_rand();
+  rnd.seed(sq);
+  return std::uniform_int_distribution<int>()(rnd);
+}
+
+void test01()
+{
+  bool test __attribute__((unused)) = true;
+
+  const int f1 = f(0);
+  const int f2 = f(0);
+
+  const int g1 = g(0);
+  const int g2 = g(0);
+  
+  VERIFY( f1 == f2 );
+  VERIFY( g1 == g2 );
+  VERIFY( f1 == g1 );
+}
+
+int main()
+{
+  test01();
+  return 0;
+}
